
/* Small intervals */
.stiDesignerCaptionControls{
	white-space: nowrap;
	padding: 0 15px 0 7px;
	border: 0px;
	font-family: Arial;
    font-size: 12px;
    color: @MobileDesignerFontColor;
    width: 1px;
}

.stiDesignerTextContainer{
	white-space: nowrap;
	border: 0px;
	font-family: Arial;
    font-size: 12px;
    color: @MobileDesignerFontColor;
}

.stiDesignerControlCells{
	padding: 3px 4px 3px 0;	
	border: 0px;
}

/* Big intervals */
.stiDesignerCaptionControlsBigIntervals {
	white-space: nowrap;
	padding: 0 25px 0 15px;
	border: 0px;
	font-family: Arial;
    font-size: 12px;
    color: @MobileDesignerFontColor;
    width: 1px;
}

.stiDesignerControlCellsBigIntervals {
	padding: 3px 12px 3px 0;
	border: 0px;
}

.stiDesignerHomePanelSeparator {
	background: @MobileDesignerToolbarSeparatorColor;
}

.stiDesignerDrillDownFormCaptionControls{
	white-space: nowrap;
	min-width: 200px;
	padding: 0 8px 0 15px;
	border: 0px;
	margin: 0px;
	font-family: Arial;
    font-size: 12px;
    color: @MobileDesignerFontColor;
}

/* Panel */
.stiDesignerCaptionControlsOnPanel{
	white-space: nowrap;
	padding: 0 5px 0 3px;
	border: 0px;
	font-family: Arial;
    font-size: 12px;
    color: @MobileDesignerFontColor;
    width: 1px;
}

.stiDesignerCaptionControlsOnPanelDisabled{
	white-space: nowrap;
	padding: 0 5px 0 3px;
	border: 0px;
	font-family: Arial;
    font-size: 12px;
    color: @MobileDesignerFontDisabledColor;
    width: 1px;
}

.stiDesignerControlCellsOnPanel{
	padding: 0 3px 0 0;	
	border: 0px;
}

/* Image Control Brush Property  */
.stiImageControlBrushPropertyForSolid {
	border: 1px solid @MobileDesignerControlsBorderColor;
	width: 30px;
	height: 14px;
}

.stiImageControlBrushPropertyForNotSolid {
	border: 0px;
	width: 32px;
	height: 16px;
}

/* Status Panel Separator */ 
.stiDesignerStatusPanelSeparator {
	border: 0px;
	border-left: 1px dashed @MobileDesignerStatusPanelSeparatorColor;
	padding: 0px;
    margin: 0 3px 0 3px;
    height: 35px;
}


/* VariableItemsForm Controls Cell */ 
.stiDesignerVariableItemsFormControlsLeftCell {
	vertical-align: top;	
	margin: 0px;	
	padding: 0px;
}

.stiDesignerVariableItemsFormControlsRightCell {
	border: 0px;	
	vertical-align: top;	
	margin: 0px;	
	padding: 0px;
}

/* Style Designer Form */
.stiDesignerStyleDesignerFormToolbarCell {
	border: 0px;
	padding: 0px;
	margin: 0px;
	border-bottom: 1px dotted @MobileDesignerFormSeparatorColor;
}

.stiDesignerStyleDesignerFormPropertiesPanel {
	border: 0px;
	padding: 0px;
	margin: 0px;
}

.styleDesignerItemsContainer {
	overflow-y: auto;
	overflow-x: hidden;
}

.stiDesignerSelectDataProgress {	
	position: absolute;
	left: 200px;
	top: 125px;	
}

.stiDesignerTextEditFormSystemVariablesInfo {
	border-top: 1px dotted @MobileDesignerFormSeparatorColor;
	padding: 6px 6px 0 6px;
	font-family: Arial;
    font-size: 12px;
    color: @MobileDesignerFontColor;
}

.stiDesignerCreateDataColumsTree {
	border-right: 1px dotted @MobileDesignerFormSeparatorColor;
	border-bottom: 1px dotted @MobileDesignerFormSeparatorColor;
	overflow: auto;
}

.stiDesignerCreateDataColumsButtonsTable {
	border: 0px;
	margin: 0px;
	padding: 0px;
	border-right: 1px dotted @MobileDesignerFormSeparatorColor;
}

.stiDesignerCreateDataMainTable {
	border-bottom: 1px dotted @MobileDesignerFormSeparatorColor;
}

.stiDesignerConditionsFormMainContainer {
	border-left: 1px dotted @MobileDesignerFormSeparatorColor;
	width: 700px;
	height: 380px;
}

.stiDesignerConditionPanel {
	width: 700px;
	height: 380px;	
	overflow: auto;
}

.stiDesignerConditionsFormToolbarCell {
	border-top: 1px dotted @MobileDesignerFormSeparatorColor;
	width: 100%;
}

.stiDesignerConditionsFormSampleBar {
	border: 1px solid @MobileDesignerControlsBorderColor;
	margin: 0 4px 0 4px;
}

.stiDesignerPagesContainer {
	overflow-x: auto;
    overflow-y: hidden;
    position: absolute;
    right: 0px;
    top: 0px;
    bottom: 0px;
}

.stiDesignerViewDataTableCell {
	font-family: Arial;
	font-size: 12px;
	padding: 4px 15px 4px 4px;
	color: @MobileDesignerFontColor;
	border-bottom: 1px dotted @MobileDesignerContainersBorderColor;
	border-right: 1px dotted @MobileDesignerContainersBorderColor;
}

.stiDesignerTextFormatFormCustomContainer {
	border-top: 1px dotted @MobileDesignerFormSeparatorColor;
}

.stiDesignerCrossTabContainerCell {
	border: 0px;
	margin: 0px;
	padding: 0px;
	border-left: 1px dotted @MobileDesignerFormSeparatorColor;
	border-bottom: 1px dotted @MobileDesignerFormSeparatorColor;
}

.stiDesignerrCrossTabContainerToolbar {
	border: 0px;
	margin: 0px;
	padding: 0px;
	font-family: Arial;
	font-size: 12px;
	color: @MobileDesignerFontColor;
	border-bottom: 1px dotted @MobileDesignerContainersBorderColor;
	width: 100%;
}

.stiDesignerDescriptionForBigButton {
	white-space: nowrap;
	padding: 0 25px 0 15px;
	border: 0px;
	font-family: Arial;
    font-size: 12px;
    color: @MobileDesignerFontColor;
    line-height: 1.7;
}

.stiDesignerFileMenuPanelHeader {
	background: @MobileDesignerFormBackgroundColor;	
    color: #444444;
	text-align: center;
    cursor: default;
    display: inline-block;
    margin: 30px;
    height: 60px;
}

.stiDesignerFileMenuPanelHeaderRU {	
    font-family: Arial, Helvetica, sans-serif;
    font-size: 40px;
}

.stiDesignerFileMenuPanelHeaderEN {
	font-family: 'Microsoft Yi Baiti';
    font-size: 55px;
}

.stiImageContainerWithBorder {
	border: 1px dashed @MobileDesignerControlsBorderColor;
    background: @MobileDesignerDragAndDropContainer;
}

.stiDesignerPageSetupFormSample {
	margin: 4px;
}

.stiDesignerPageSetupFormSampleCell {
	border-right: 1px dotted @MobileDesignerFormSeparatorColor;
    text-align: center;
    vertical-align: top;
    width: 150px;
}

.stiDragAndDropHintText {
	color: @MobileDesignerDragAndDropContainerHintText;
    margin-left: 40px;
}

.stiResourceContainerWithBorder {
	border: 1px dashed @MobileDesignerControlsBorderColor;
    background: @MobileDesignerDragAndDropContainer;
}

.stiResourceInnerContainer {
	overflow: auto;
    text-align: center;
    display: inline-block;
}

.stiResourceViewDataContainer {
    background: @MobileDesignerPaintPanelBackgroundColor;
    overflow: auto;
}

.stiBarCodeFormPropertiesContainer {
	width: 360px;
    height: 410px;
    padding: 20px;
    border-right: 1px dotted @MobileDesignerContainersBorderColor;
}

.stiCloudDemoPanel {
	text-align: center;
    font-family: Arial;
    font-size: 15px;
    line-height: 1.3;
    color: #888888;
    padding: 10px 0 10px 0;
    width: 550px;
    height: 500px;
}

.stiInteractionFormMarker {
	position: absolute;
    width: 12px;
    height: 12px;
    border-radius: 20px;
    background: #ffffff;
    left: 10px;
    top: calc(50% - 6px);
}

.stiInteractionFormMarker div {
	margin: 2px 0 0 2px;
    width: 8px;
    height: 8px;
    border-radius: 20px;
    background: @MobileDesignerFormHeaderFontColor;
}

.stiShapesMenuHeader {
    color: @MobileDesignerFileMenuFontColor;
    background: @MobileDesignerFileMenuBackgroundColor;
    padding: 7px;
    font-family: Arial;
    font-size: 12px;
}